libzypp 17.38.15

zyppng::CheckSumWorkflow Namespace Reference

## Classes
struct | CheckSumWorkflowLogic

## Functions
MaybeAwaitable< expected< void > > | verifyChecksum (ContextRef zyppCtx, zypp::CheckSum checksum, zypp::filesystem::Pathname file)
std::function< MaybeAwaitable< expected< ProvideRes > >(ProvideRes &&)> | checksumFileChecker (ContextRef zyppCtx, zypp::CheckSum checksum)

## Function Documentation

## ◆ verifyChecksum()

MaybeAwaitable< expected< void > > zyppng::CheckSumWorkflow::verifyChecksum | ( | ContextRef | zyppCtx,
|  | zypp::CheckSum | checksum,
|  | zypp::filesystem::Pathname | file )

Definition at line 111 of file checksumwf.cc.

## ◆ checksumFileChecker()

std::function< MaybeAwaitable< expected< ProvideRes > >(ProvideRes &&) > zyppng::CheckSumWorkflow::checksumFileChecker | ( | ContextRef | zyppCtx,
|  | zypp::CheckSum | checksum )

Returns a callable that executes the verify checksum as part of a pipeline, forwarding the ProvideRes if the workflow was successful.

Definition at line 117 of file checksumwf.cc.